%define	pkgname	check_clamav

Name:		nagios-plugins-clamav
Version:	1.2
Release:	1.4
Summary:	Check ClamAV status
Group:		System/Monitoring
Url:		http://www.monitoringexchange.org/inventory/Check-Plugins/Software/Virusscan/ClamAV-check-plugin
License:	GPL
Source0:	%{pkgname}
Buildroot:	%{_tmppath}/%{name}-root

BuildRequires:	perl perl-Net-DNS
Requires:	perl perl-Net-DNS

%description
This check plugin is a Perl script which compares your local signature database (daily.cvd)
version to the version advertised from the ClamAV site.
It verifies the latest ClamAV revision using a DNS TXT query against current.cvd.clamav.net.

%prep
%setup -c -n %{name} -T

%build
%__install -D -m755 %{S:0} %{buildroot}%{_prefix}/lib/nagios/plugins/%{pkgname}

%install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%dir %{_prefix}/lib/nagios
%dir %{_prefix}/lib/nagios/plugins
%{_prefix}/lib/nagios/plugins/%{pkgname}

%changelog
* Wed Jun 30 2010 Carsten Schoene <cs@linux-administrator.com> - 1.2-1
- initial build
